spring:
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://49.4.21.141:45611/obpm2?characterEncoding=UTF-8&serverTimezone=GMT%2B8&useSSL=false&allowPublicKeyRetrieval=true&zeroDateTimeBehavior=CONVERT_TO_NULL
    username: bcx
    password: Wstestv5qy#2022
  jpa:
    hibernate:
      ddl-auto: none
    show-sql: true
  rabbitmq:
    host: 172.31.0.12
    port: 15672
  #Redis服务器地址
  redis:
    host: 49.4.21.141
    port: 6328
    password: redis20240628
    #连接超时时间（毫秒）
    timeout: 30000
    prefixKey: 'v5test:'
    lettuce: # redis连接池配置
      pool:
        max-active: -1 #连接池最大连接数(使用负值表示没有限制) 默认为30
        max-wait: -1ms # 连接池最大阻塞等待时间(使用负值表示没有限制) 默认为-1
        max-idle: 8 # 连接池中的最大空闲连接 默认为8
        min-idle: 0 # 连接池中的最小空闲连接 默认为 0
dubbo:
  application:
    name: dubbo-tenant-api
  registry:
    address: nacos://${nacos.address:localhost}:8848?username=nacos&password=nacos
  config-center:
    address: nacos://${nacos.address:localhost}:8848?username=nacos&password=nacos

tenant:
  config:
    # 入职日期必须是当天的校验开关，默认启用
    hired-date-must-be-today: true
    upload:
      path: /storage-merged
    region: 北京市
    code: BJ
    intranet: true
  view:
    leave:
      condition:
        enabled: true

v5:
  business:
    organization:
      driver-class-name: com.mysql.cj.jdbc.Driver
      url: jdbc:mysql://49.4.21.141:45611/organizationauth?characterEncoding=UTF-8&serverTimezone=GMT%2B8&useSSL=false&allowPublicKeyRetrieval=true
      username: bcx
      password: Wstestv5qy#2022

#单点登录配置
sso:
  domainId: __MIFnVvYFZZjw5fN3OtS
  useSwitch: true
  selfAuth: false
  #AES加密、解密Key
  key: fjtctchsoft
  #系统编码 （子系统顶级菜单id）
  zxtqxgw: 27211
  v5Url: http://v5qy.test.baibaodun.cn/
  #  #广西单点登录配置
  #  #账号
  #  clientId: 3505001000000250
  #  #密钥
  #  clientSecret: d8b471beec3caf036979d9c812a4f37b
  #  #接口地址
  #  url: http://192.168.2.106:8081/v3/sso/test/
  #北京自然人单点登录配置
  #账号
  clientId: 100100000394
  #密钥
  clientSecret: a6d7edc9dbd73571b948bc0745f0e5a1
  #接口地址
  url: https://t200renzheng.zhengtoon.com/
env:
  passPrefix: Abcd@ #密码前缀
  requiredPhoneAsLoginName: false
  # 区域编码
  region-code: 140500

# 是否可以修改昵称、头像
tenant-user-config:
  update-nickname-headphoto: true
bjxlcp1:
  uploadPath: /storage-merged
  fileApi: https://identify.test.bcxin.com.cn/identify/api/common/upload-file